Create campaign content step
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": {},
"name": "<string>",
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: {},
name: '<string>',
order: 123,
scheduledAt: '2023-11-07T05:31:56Z',
templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content"
payload = {
"content": {},
"name": "<string>",
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"content": null
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Campaigns
Create campaign content step
Requires write:campaigns. Body: type, channel content, optional templateId (copies/links a library template), order, scheduledAt.
POST
/
api
/
v1
/
marketing
/
campaigns
/
{id}
/
content
Create campaign content step
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": {},
"name": "<string>",
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: {},
name: '<string>',
order: 123,
scheduledAt: '2023-11-07T05:31:56Z',
templateId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/campaigns/{id}/content"
payload = {
"content": {},
"name": "<string>",
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"name": "<string>",
"order": 123,
"scheduledAt": "2023-11-07T05:31:56Z",
"templateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"content": null
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Path Parameters
Body
application/json
Response
Create campaign content step
Show child attributes
Show child attributes
Was this page helpful?
⌘I